Subject: Re: bug#25172: 26.0.50; Concurrency feature, sit-for doesn't work (crashing and unexpected behaviour)

From: Elias Mårtenson <[email-masked]>
Date: Thu, 15 Dec 2016 00:12:48 +0800

On 15 December 2016 at 00:03, Eli Zaretskii <[email-masked]> wrote:

> Thanks.  Does the patch below help in any way with these crashes?
>
> If not, it sounds like I'm out of my depth here.  The crashes you show
> are deep in the bowels of Glib called by GTK; reading the (annoyingly
> minimal) documentation of those APIs, I sense the danger of some basic
> issue with calling these APIs from several threads.  If what the GTK
> documentation tells everything there is to it, then the patch below
> should fix these problems.  But if not, then I guess we will need help
> from a GTK expert.
>

After applying that patch, it hasn't crashed yet. So either it fixes the
problem, or it's simply buch harder to reproduce. So far so good. Thanks a
lot!

Regards,
Elias